<?php

class Controller_Api_V0_FinalReport extends Controller_Handler_Api {
    public function action_get_index() {

        try {
            // Получаем год и номер семестра из query запроса
            $year = $this->request->query('year');
            $num = $this->request->query('num');
            $plan = $this->request->query('plan');
            $discipline = $this->request->query('discipline');

			// Получаем ведомость из БД
            if (isset($discipline)) {
                $finalReport = Model_FinalReport::getBySemesterYearNumDiscipline($year, $num, $discipline);
            } else {
                $finalReport = Model_FinalReport::getBySemesterYearNumPlan($year, $num, $plan);
            }

            $response = [];
            /** @var Model_FinalReportItem $row */
            foreach ($finalReport as $row) {
                $response[$row->PlanExternalID][$row->SubjectExternalID][$row->RecordBookExternalID] = [
                    'semester'  => $row->SemesterRate,
                    'exam'      => [$row->ExamRate, $row->Exam2Rate, $row->Exam3Rate],
                    'extra'     => [$row->ExtraRate, $row->Extra2Rate],
                ];
            }

            return $response;
        } catch (Exception $e) {
            $this->badRequestError($e->getMessage());
        }

        return null;
    }
}
