<?php

class Controller_Office_Subjects extends Controller_Environment_Office
{
    public function action_index() {
        $this->action_upload();
    }

    public function action_upload() {
        $facultyID = $this->user->isAdmin() ? $_POST['facultyID'] : $this->user->Faculty->ID;
        $result = [];

        if (!empty($_FILES['subjects']) && $this->request->method() == 'POST') {
            if (!Model_System::loadConfig()->Functional->DisciplineCreation)
                throw HTTP_Exception::factory(404);

            $file = $_FILES['subjects']['tmp_name'];
            $result = FileParser::uploadSubjects($file, $facultyID);
        }

        $this->twig->set([
            'UploadingResult' => $result,
            'Faculties'       => $this->user->isAdmin() ? Model_Faculties::load() : [],
            'DisciplineCreationISAllowed'  => Model_System::loadConfig()->Functional->DisciplineCreation,
        ])->set_filename(static::OFFICE . 'subjects/upload');
    }
}
